RHEL 7 : file (RHSA-2015:2155)

high Nessus プラグイン ID 86973
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート Red Hat ホストに 1 つ以上のセキュリティ更新がありません。

説明

複数のセキュリティの問題といくつかのバグを修正する更新済みの file パッケージが、Red Hat Enterprise Linux 7 で現在利用可能です。

Red Hat 製品セキュリティは、この更新がセキュリティに及ぼす影響を重要度中として評価しています。詳細な重要度の評価を提供する Common Vulnerability Scoring System (CVSS)のベーススコアが、「参照」セクションの CVE リンクの各脆弱性に対して利用可能です。

file コマンドは、特定のファイルをファイルが含むデータのタイプにしたがって識別するために使用されます。これにより、Executable and Linkable Format(ELF)バイナリファイルやシステムライブラリ、RPM パッケージ、異なるグラフィック形式をなど、さまざまなファイルタイプを識別できるようになります。

file が特定の Composite Document Format(CDF)ファイルの解析処理を行う方法で、複数のサービス拒否の欠陥が見つかりました。リモートの攻撃者が、これらの欠陥のいずれかを利用して、特別に細工された CDF ファイルで、 file または file を使用しているアプリケーションをクラッシュする可能があります。(CVE-2014-0207、CVE-2014-0237、CVE-2014-0238、CVE-2014-3479、CVE-2014-3480、CVE-2014-3487、CVE-2014-3587)

ファイルが特定の Pascal 文字列を処理する方法に、2 つの欠陥が見つかりました。
これが攻撃者指定ファイルのタイプの識別に使用された場合、リモートの攻撃者がファイルをクラッシュさせる恐れがあります。(CVE-2014-3478、 CVE-2014-9652)

さまざまなファイルを検出するためのファイル正規表現ルールに、複数の欠陥が見つかりました。リモートの攻撃者がこれらの欠陥を悪用し、ファイルに CPU を過度に消費させる恐れがあります。(CVE-2014-3538)

ファイルが Executable and Linkable Format(ELF)を解析する方法で、複数の欠陥が見つかりました。リモートの攻撃者がこれらの欠陥を悪用し、ファイルのクラッシュ、メモリの一部を漏洩、システムリソースの過度な消費を引き起こす恐れがあります。(CVE-2014-3710、CVE-2014-8116、CVE-2014-8117、 CVE-2014-9653)

Red Hat は、CVE-2014-8116 および CVE-2014-8117 の問題を報告してくれた Intra2net AG の Thomas Jarosch 氏に感謝の意を表します。CVE-2014-0207、CVE-2014-0237、CVE-2014-0238、CVE-2014-3478、CVE-2014-3479、CVE-2014-3480、CVE-2014-3487、CVE-2014-3710 の問題は、Red Hat Product Security の Francisco Alonso 氏により発見されました。CVE-2014-3538 の問題は、Red Hat Web スタックチームの Jan Kaluža 氏により発見されました。

ファイルパッケージが更新され、Power リトルエンディアンおよび ARM 64 ビットハードウェアアーキテクチャ上で適切な操作が実施されるようになりました。
(BZ#1224667、BZ#1224668、BZ#1157850、BZ#1067688)。

ファイルユーザーすべてに、これらの問題を修正するバックポートされたパッチが含まれる更新済みパッケージにアップグレードすることを推奨します。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://access.redhat.com/errata/RHSA-2015:2155

https://access.redhat.com/security/cve/cve-2014-0207

https://access.redhat.com/security/cve/cve-2014-0237

https://access.redhat.com/security/cve/cve-2014-0238

https://access.redhat.com/security/cve/cve-2014-3478

https://access.redhat.com/security/cve/cve-2014-3479

https://access.redhat.com/security/cve/cve-2014-3480

https://access.redhat.com/security/cve/cve-2014-3487

https://access.redhat.com/security/cve/cve-2014-3538

https://access.redhat.com/security/cve/cve-2014-3587

https://access.redhat.com/security/cve/cve-2014-3710

https://access.redhat.com/security/cve/cve-2014-8116

https://access.redhat.com/security/cve/cve-2014-8117

https://access.redhat.com/security/cve/cve-2014-9652

https://access.redhat.com/security/cve/cve-2014-9653

プラグインの詳細

深刻度: High

ID: 86973

ファイル名: redhat-RHSA-2015-2155.nasl

バージョン: 2.12

タイプ: local

エージェント: unix

公開日: 2015/11/20

更新日: 2019/10/24

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 4.2

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

脆弱性情報

CPE: p-cpe:/a:redhat:enterprise_linux:file, p-cpe:/a:redhat:enterprise_linux:file-debuginfo, p-cpe:/a:redhat:enterprise_linux:file-devel, p-cpe:/a:redhat:enterprise_linux:file-libs, p-cpe:/a:redhat:enterprise_linux:file-static, p-cpe:/a:redhat:enterprise_linux:python-magic, cpe:/o:redhat:enterprise_linux:7, cpe:/o:redhat:enterprise_linux:7.2, cpe:/o:redhat:enterprise_linux:7.3, cpe:/o:redhat:enterprise_linux:7.4, cpe:/o:redhat:enterprise_linux:7.5, cpe:/o:redhat:enterprise_linux:7.6, cpe:/o:redhat:enterprise_linux:7.7

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2015/11/19

脆弱性公開日: 2014/6/1

参照情報

CVE: CVE-2014-0207, CVE-2014-0237, CVE-2014-0238, CVE-2014-3478, CVE-2014-3479, CVE-2014-3480, CVE-2014-3487, CVE-2014-3538, CVE-2014-3587, CVE-2014-3710, CVE-2014-8116, CVE-2014-8117, CVE-2014-9652, CVE-2014-9653

RHSA: 2015:2155